botón arriba

Gestión incorrecta de paquetes en SIMATIC S7-400 de Siemens

Fecha de publicación
15/05/2018
Importancia
4 - Alta
Recursos Afectados

Actualización 20/09/2018: Se ha actualizado el listado de productos afectados.

  • SIMATIC S7-400 (incluida F) con versión 4.0 de hardware y anteriores, todas las versiones
  • SIMATIC S7-400 (incluida F) con versión 5.0 de hardware, todas las versiones de firmware anteriores a la V5.2
  • SIMATIC S7-400H con versión 4.5 de hardware y anteriores, todas las versiones
Descripción

Siemens ha identificado una vulnerabilidad de gestión incorrecta de paquete malformados en dispositivos SIMATIC S7-400. Un potencial atacante podría conseguir una denegación de servicio del producto afectado.

Solución

Actualización 20/09/2018: Se ha actualizado el listado de soluciones.

Siemens aconseja a todos los usuarios actualizar a las siguientes versiones:

Detalle

Los productos afectados validan de manera inadecuada los paquetes de comunicaciones S7, lo que podría causar una denegación de servicio que requiere de un reinicio manual. Un potencial atacante podría enviar paquetes S7 especialmente malformados al interfaz de comunicación de la CPU, incluyendo las interfaces Ethernet, PROFIBUS y Multi Point Interfaces (MPI). No se requieren privilegios ni interacción del usuario para explotar la vulnerabilidad de seguridad. Se ha reservado el código CVE-2018-4850 para esta vulnerabilidad

Encuesta valoración